package com.kingdee.eas.custom.facade;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class EarlyWarningFacadeFactory
{
    private EarlyWarningFacadeFactory()
    {
    }
    public static com.kingdee.eas.custom.facade.IEarlyWarningFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.facade.IEarlyWarningFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("113E89AF") ,com.kingdee.eas.custom.facade.IEarlyWarningFacade.class);
    }
    
    public static com.kingdee.eas.custom.facade.IEarlyWarningFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.facade.IEarlyWarningFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("113E89AF") ,com.kingdee.eas.custom.facade.IEarlyWarningFacade.class, objectCtx);
    }
    public static com.kingdee.eas.custom.facade.IEarlyWarningFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.facade.IEarlyWarningFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("113E89AF"));
    }
    public static com.kingdee.eas.custom.facade.IEarlyWarningFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.facade.IEarlyWarningFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("113E89AF"));
    }
}